package ink.wgink.module.activiti.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: ModelDTO
 * @Description: 模型
 * @Author: wanggeng
 * @Date: 2022/4/22 17:49
 * @Version: 1.0
 */

@ApiModel
public class ModelDTO {

    @ApiModelProperty(name = "id", value = "主键")
    private String id;
    @ApiModelProperty(name = "name", value = "名称")
    private String name;
    @ApiModelProperty(name = "key", value = "key")
    private String key;
    @ApiModelProperty(name = "version", value = "版本")
    private Integer version;
    @ApiModelProperty(name = "deploymentId", value = "部署ID")
    private String deploymentId;
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private String createTime;
    @ApiModelProperty(name = "lastUpdateTime", value = "最后更新时间")
    private String lastUpdateTime;
    @ApiModelProperty(name = "modelCategory", value = "模型类别")
    private String modelCategory;

    public String getId() {
        return id == null ? "" : id.trim();
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name == null ? "" : name.trim();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getKey() {
        return key == null ? "" : key.trim();
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Integer getVersion() {
        return version == null ? 0 : version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public String getDeploymentId() {
        return deploymentId == null ? "" : deploymentId.trim();
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getCreateTime() {
        return createTime == null ? "" : createTime.trim();
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLastUpdateTime() {
        return lastUpdateTime == null ? "" : lastUpdateTime.trim();
    }

    public void setLastUpdateTime(String lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public String getModelCategory() {
        return modelCategory == null ? "" : modelCategory.trim();
    }

    public void setModelCategory(String modelCategory) {
        this.modelCategory = modelCategory;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"id\":\"")
                .append(id).append('\"');
        sb.append(",\"name\":\"")
                .append(name).append('\"');
        sb.append(",\"key\":\"")
                .append(key).append('\"');
        sb.append(",\"version\":")
                .append(version);
        sb.append(",\"deploymentId\":\"")
                .append(deploymentId).append('\"');
        sb.append(",\"createTime\":\"")
                .append(createTime).append('\"');
        sb.append(",\"lastUpdateTime\":\"")
                .append(lastUpdateTime).append('\"');
        sb.append(",\"modelCategory\":\"")
                .append(modelCategory).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
